From 5f2b8ca2db3d662d6ec280d72e0c893cdf9d729a Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 27 2020 23:59:04 +0000
Subject: [PATCH 1597/2232] Add test of struct PartialEq operator==


---

diff --git a/tests/ffi/lib.rs b/tests/ffi/lib.rs
index 0d96038..0ad753d 100644
--- a/tests/ffi/lib.rs
+++ b/tests/ffi/lib.rs
@@ -15,7 +15,7 @@ use std::os::raw::c_char;
 
 #[cxx::bridge(namespace = "tests")]
 pub mod ffi {
-    #[derive(Clone, Debug)]
+    #[derive(Clone, Debug, PartialEq, Eq)]
     struct Shared {
         z: usize,
     }
diff --git a/tests/ffi/tests.cc b/tests/ffi/tests.cc
index 7cd84b8..340dc9c 100644
--- a/tests/ffi/tests.cc
+++ b/tests/ffi/tests.cc
@@ -653,6 +653,9 @@ extern "C" const char *cxx_run_test() noexcept {
 
   ASSERT(std::string(rAliasedFunction(2020)) == "2020");
 
+  ASSERT(Shared{1} == Shared{1});
+  ASSERT(Shared{1} != Shared{2});
+
   cxx_test_suite_set_correct();
   return nullptr;
 }

